List Branches
GEThttps://api.confident-ai.com/v2/prompts/{promptId}/branches
Lists the branches of the prompt.
curl -X GET "https://api.confident-ai.com/v2/prompts/{promptId}/branches" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"branches": [
{
"id": "<BRANCH-ID>",
"name": "experiment"
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
promptIdstringRequiredThe unique id of the prompt.
Response
List Branches succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
brancheslist of objectsThis is the list of branches on the prompt.
Show 2 propertiesHide 2 properties
idstringThis is the unique id of the prompt branch.
namestringThis is the name of the prompt branch.
deprecatedbooleanIndicates if this endpoint is deprecated.
Built byConfident AI